%global uprel 63c5e34

Name:           plasma-runner-events
Version:        0.3.0
Release:        3%{?dist}
Summary:        Add new events or todos to your calendar from KRunner

Group:          User Interface/Desktops
License:        GPLv3+
URL:            http://kde-apps.org/content/show.php?action=content&content=118854
Source0:        http://github.com/alno/plasma-runner-events/tarball/%{version}/alno-%{name}-%{version}-0-g%{uprel}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdepimlibs-devel
Requires:       kdepim kdebase-workspace

%description
This is Plasma Runner plug-in, which provides you ability to add new events or 
todos to your calendar from KRunner (Alt+F2). With this runner you may enter 
into KRunner something like following:

* `event Project deadline; 13.02.2010` - create new event 
  with summary \"Project deadline\" for 13.02.2010;
* `todo Complete my work; tomorrow 12:30; Business` - create todo with 
  given summary and deadline date time with category "Business";
* `event Travel to mountains; from yesterday to 31.02.2010; Travel` - create 
  event with given time range and category;
* `event Something; 13:30` - something at 13:30 today;
* `event Other event; yesterday`
* `event Meeting; today from 12:00 to 14:00`
* `todo Buy new phone; in 2 years`
* `todo Complete site design; in 2 days from 10:30`
* And others...

Besides of incident creation you may update existing incidences in some ways:

* `complete Buy new phone` - mark selected task as completed!
* `complete Fix localization issues; 30` - set task as 30%-completed;
* `comment Birthday party; It was cool!` - append some text to task description

%prep
%setup -q -n alno-%{name}-%{uprel}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install/fast -C %{_target_platform} DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README.markdown
%{_kde4_libdir}/kde4/*.so
%{_kde4_datadir}/kde4/services/%{name}.desktop


%changelog
* Tue Jun 29 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.3.0-3
- better %%macro handling

* Wed May 19 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.3.0-2
- added missing %%post and %%postun

* Wed May 19 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.3.0-1
- Initial Release 0.3.0
